Subject: Re: web-based client for Git, was Re: GSoC 2010

From: Mike Hommey <[email-masked]>
Date: Fri, 12 Feb 2010 14:03:25 +0100

On Fri, Feb 12, 2010 at 01:51:46PM +0100, Petr Baudis wrote:
> On Fri, Feb 12, 2010 at 01:44:36PM +0100, Mike Hommey wrote:
> > On Fri, Feb 12, 2010 at 01:18:44PM +0100, Petr Baudis wrote:
> > >   Hi!
> > > 
> > > On Fri, Feb 12, 2010 at 05:25:02PM +0530, Pavan Kumar Sunkara wrote:
> > > > sorry but my mails aren't reaching the mailing list. So it would be
> > > > helpful if you forward this mail to the mailing list
> > > 
> > >   I'm quoting it in full here. :-)
> > > 
> > > > I would be happy to elaborate this.
> > > 
> > >   Thanks a lot!
> > > 
> > > > First of all, this is not another gitweb or gitorious.
> > > > This is a client to use git. I mean, you could use this to work on git
> > > > repositories. (even editing files)
> > > 
> > >   Aha, I see. Are you aware of "gist" [http://gist.github.com/]? It is
> > > in a sense the first attempt to do this, albeit quite rudimentary in
> > > some ways. And it's also closed-source, I'm not personally aware of an
> > > open-source alternative, so this would certainly be useful! Actually,
> > > I can say I would certainly like to add this functionality to repo.or.cz
> > > for creating commits on the mob branches over the web directly.
> > 
> > Surely, something could be plugged into https://bespin.mozilla.com/,
> > which already does a great job at editing.
> 
> That sounds like a nice replacement for the textarea, thanks for the
> tip! On the other hand, I think this is currently the least important
> part of the project and for the basic implementation, even a simple
> textarea should suffice, any prettier editor hopefully could be slammed
> in anytime trivially.

There is VCS integration with bespin, already, but maybe not what people
would like a git web interface to be
https://wiki.mozilla.org/Labs/Bespin/UserGuide#Version_Control

Mike